apiVersion: apps/v1
kind: Deployment
metadata:
  name: nginx-gabo
  labels:
    app: gabo-test
  # annotations:
  #   secret.reloader.stakater.com/reload: "mysecret"
spec:
  replicas: 10
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
  selector:
    matchLabels:
      app: gabo-test
  template:
    metadata:
      labels:
        app: gabo-test
    spec:
      containers:
      - name: nginx
        image: nginx:1.19.1
        ports:
          - containerPort: 80
        volumeMounts:
            - name: mysecret-volume
              mountPath: /mnt
      volumes:
        - name: mysecret-volume
          secret:
            secretName: mysecret
